import { Type } from '@angular/core';
import { Widget } from './widget';
import { GPSWidgetValue } from './widget-value/gps-widget-value';
import { GpsComponent } from '../../../sculptor-lib/widgets/gps/gps.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
import { SetValueModeType } from '../common/widget-enums';
declare type GPSValue = Type<Array<GPSWidgetValue>>;
export declare class GPS extends Widget {
    component: Type<GpsComponent>;
    captureType: string;
    mode: SetValueModeType;
    helpText: string;
    showPointSelection: string;
    showPolygonSelection: string;
    showPolylineSelection: string;
    mapZoomLevel: string;
    changeField: string;
    updateIdentifierCheck: number;
    allowViewObject: number;
    markup: string;
    value: GPSValue;
    name: string;
    constructor(field?: Widget);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    newGps(): void;
    /**function to create counter object with existing values
    *
    *@param field
    *
    */
    gps(field: any): void;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
export {};
